Extending Qt Creator Manual | SimpleIdNode

Extending Qt Creator Manual 4.7.1

# SimpleIdNode Class

(Debugger::Internal::SimpleIdNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Functions

| SimpleIdNode(Debugger::Internal::GlobalParseState *parseState)
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Function Documentation

### SimpleIdNode::SimpleIdNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of SimpleIdNode.

### `[static]` bool SimpleIdNode::mangledRepresentationStartsWith(char c)

### int SimpleIdNode::toByteArray() const